//
//  ViewController.swift
//  view-transition-demo
//
//  Created by Jake Marsh on 2/16/16.
//  Copyright © 2016 Magnus. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
  var flipped = false
  let button = UIButton(type: .Custom)

  override func viewDidLoad() {
    super.viewDidLoad()

    button.titleLabel?.font = UIFont.systemFontOfSize(72.0, weight: 0)
    button.setTitle("👍🏻", forState: .Normal)

    button.addTarget(self, action: "flip", forControlEvents: .TouchUpInside)

    view.addSubview(button)

    button.sizeToFit()
    button.center = view.center
  }
  
  func flip() {
    flipped = !flipped

    UIView.transitionWithView(
      button,
      duration: 0.3,
      options: .TransitionFlipFromTop,
      animations: {
        self.button.setTitle(self.flipped ? "👎🏻" : "👍🏻", forState: .Normal)
      },
      completion: nil
    )
  }
}

